<?php
// Exit if accessed directly
if (!defined('ABSPATH') ) { exit;
}

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if (!function_exists('medical_health_chld_thm_cfg_locale_css') ) :
    function medical_health_chld_thm_cfg_locale_css( $uri )
    {
        if (empty($uri) && is_rtl() && file_exists(get_template_directory() . '/rtl.css') ) {
            $uri = get_template_directory_uri() . '/rtl.css';
        }
        return $uri;
    }
endif;
add_filter('locale_stylesheet_uri', 'medical_health_chld_thm_cfg_locale_css');

if (!function_exists('medical_health_parent_css') ) :
    function medical_health_parent_css()
    {
        wp_enqueue_style('medical_health_chld_thm_cfg_parent', trailingslashit(get_template_directory_uri()) . 'style.css', array( 'bootstrap-min-css','animate-css','businessexpo-skin-default-css','businessexpo-all-min-css','font-awesome-css','owl-carousel-css','businessexpo-menu-css','businessexpo-footer-css','businessexpo-logo-css' ));
    }
endif;
add_action('wp_enqueue_scripts', 'medical_health_parent_css', 10);


// On theme activation add defaults theme settings and data.
add_action('after_setup_theme', 'medical_health_default_theme_options_setup', 'theme_prefix_setup');

/**
 * Theme Default Settings
 */
function medical_health_default_theme_options_setup()
{

    add_theme_support(
        'starter-content', 
        array(
            'theme_mods' => array(
                // TopBar Custom setting
                    'businessexpo_tbar_phone_text' => '+012-012',
                    'businessexpo_tbar_email_text' => 'mail@example.com',
                    'businessexpo_tbar_btn_text' => 'Book Appointment',
                    'businessexpo_tbar_btn_url' => '#'

            ),

            'nav_menus' => array(
                'top' => array(
                    'name' => __('Top Menu', 'medical-health'),
                    'items' => array(
                        'page_home',
                        'page_about',
                        'page_facility',
                        'page_news',
                        'page_contact',
                    ),
                ),

            ),

            'posts' => array(
                'home' => array(
                    'post_type' => 'page',
                    'post_title' => 'Home',
                ),
                'about' => array(
                    'post_type' => 'page',
                    'post_title' => 'About',
                ),
                'facility' => array(
                    'post_type' => 'page',
                    'post_title' => 'Facility',
                ),
                'contact' => array(
                    'post_type' => 'page',
                    'post_title' => 'Contact',
                ),
                'news' => array(
                    'post_type' => 'page',
                    'post_title' => 'News',
                ),
            ),
        ) 
    );


}

/**
 * Load theme assets.
 */
function medical_health_theme_local_css()
{

    wp_enqueue_style('medical-health-custom-css', get_stylesheet_directory_uri() . "/assets/css/custom-css.css");
}
add_action('locale_stylesheet_uri', 'medical_health_theme_local_css', 99);

// END ENQUEUE PARENT ACTION
